MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002984VCMIMechanics - Battlespublic2018-08-01 23:372021-02-15 23:29
ReporterAndruids 
Assigned ToMikeLodz 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionopen 
PlatformPCOSWindowsOS Version8.1
Product Version0.99 
Target Version0.nextFixed in Version0.next 
Summary0002984: Not working Hero specialties
Description[based on the daily build from July 17th]

Specialties of heroes who specialize in 'timed' spells mostly don't work or work incorrectly. It's as glaring an issue that I decided to thoroughly describe the individual cases in hope that it will be resolved as a whole:

Bless - WORKS
Bloodlust and Precision - WORKS

+Weakness - doesn't work. The spell has the same effect on all units (it should decrease the attack bonus for lower-level units)
+Stone skin - doesn't work. The spell has the same effect on all units (it should increase the defence bonus for lower-level units)
+Haste - doesn't work. The spell has the same effect on all units (it should increase the speed bonus for lower-level units)
+Prayer - doesn't work. The spell has the same effect on all units (it should increase the attack, defence and speed bonus for lower-level units)

+Fortune - works incorrectly. The spell has the effect of expert level without the global range (+2 luck) but it should give more than that - 3 luck.

+Slayer - works but the attack bonus it gives should be only effective against certain 7th-level creatures. Right now, it gives a flat attack bonus against everything.

+Disrupting Ray - works BACKWARDS! instead of increasing the amount of reduced defence, it decreases it by 2 points!!!
Steps To ReproduceUse the Heroes from original game and cast a spell which is their specialty:

Weakness: Cuthbert (Rampart), Mirlanda (Fortress), Olema (Inferno),
Stone skin: Darkstorn (Dungeon), Labetha (Conflux), Merist (Fortress), Xsi (Inferno),
Haste: Brissa (Conflux), Cyra (Tower), Terek( Stronghold),
Prayer: Loynis (Castle),

Fortune: Daremyth (Tower), Melodia (Rampart),

Slayer: Coronius (Rampart),

Disrupting Ray: Aenain (Conflux),
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0007996)
MikeLodz (developer)
2021-02-08 23:07

fixes in review: https://github.com/vcmi/vcmi/pull/678 [^]
(0008017)
MikeLodz (developer)
2021-02-15 23:29

fixes landed in main version

- Issue History
Date Modified Username Field Change
2018-08-01 23:37 Andruids New Issue
2018-08-02 00:40 AVS Assigned To => AVS
2018-08-02 00:40 AVS Status new => acknowledged
2021-02-07 19:29 MikeLodz Assigned To AVS => MikeLodz
2021-02-07 19:29 MikeLodz Status acknowledged => assigned
2021-02-08 23:07 MikeLodz Note Added: 0007996
2021-02-15 23:29 MikeLodz Note Added: 0008017
2021-02-15 23:29 MikeLodz Status assigned => resolved
2021-02-15 23:29 MikeLodz Fixed in Version => 0.next
2021-02-15 23:29 MikeLodz Target Version => 0.next

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2021 MantisBT Team
Hosting provided by DigitalOcean